FoldingLocalAdapter
Date: 2013-06-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.gcubedocumentlibrary.streams.folding
Class FoldingLocalAdapter<FROM,TO>

    java.lang.Object
      org.gcube.contentmanagement.gcubedocumentlibrary.streams.folding.FoldingAbstractAdapter<FROM,TO,java.lang.RuntimeException>
          org.gcube.contentmanagement.gcubedocumentlibrary.streams.folding.FoldingLocalAdapter<FROM,TO>

All Implemented Interfaces:
  java.util.Iterator<java.util.List<TO>>

    public class FoldingLocalAdapter<FROM,TO>

extends FoldingAbstractAdapter<FROM,TO,java.lang.RuntimeException>
implements java.util.Iterator<java.util.List<TO>>

An `FoldingAbstractAdapter` with a standard `Iterator` interface.

Author:
  Fabio Simeoni (University of Strathclyde)

Constructor Summary
`FoldingLocalAdapter( rit, Filter<FROM,TO> f, IFaultPolicy<? extends java.lang.RuntimeException> h, int s)` Creates an instance with a `RemoteIterator`, a `Filter`, and a `IFaultPolicy`.

Method Summary
`void` | `remove()`

Methods inherited from class org.gcube.contentmanagement.gcubedocumentlibrary.streams.folding.FoldingAbstractAdapter
`hasNext, inner, next`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Iterator
`hasNext, next`

Constructor Detail

### FoldingLocalAdapter

    public FoldingLocalAdapter( rit,
                               Filter<FROM,TO> f,
                               IFaultPolicy<? extends java.lang.RuntimeException> h,
                               int s)

  Creates an instance with a `RemoteIterator`, a `Filter`, and a `IFaultPolicy`.

  Parameters:
    `rit` - the iterator.
    `f` - the filter.
    `h` - the fault handler.

Method Detail

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<java.util.List<TO>>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD